CVE-2017-0304
CVSS5.5
发布时间 :2017-12-21 12:29:00
修订时间 :2018-01-08 10:32:19
NMS    

[原文]A SQL injection vulnerability exists in the BIG-IP AFM management UI on versions 12.0.0, 12.1.0, 12.1.1, 12.1.2 and 13.0.0 that may allow a copy of the firewall rules to be tampered with and impact the Configuration Utility until there is a resync of the rules. Traffic processing and the live firewall rules in use are not affected.


[CNNVD]CNNVD数据暂缺。


[机译]译文暂缺.

- CVSS (基础分值)

CVSS分值: 5.5 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: NETWORK [攻击者不需要获取内网访问权或本地访问权]
身份认证: SINGLE_INSTANCE [--]

- CWE (弱点类目)

CWE-89 [SQL命令中使用的特殊元素转义处理不恰当(SQL注入)]

- CPE (受影响的平台与产品)

cpe:/a:f5:big-ip_advanced_firewall_manager:12.0.0
cpe:/a:f5:big-ip_advanced_firewall_manager:12.1.0
cpe:/a:f5:big-ip_advanced_firewall_manager:12.1.1
cpe:/a:f5:big-ip_advanced_firewall_manager:12.1.2
cpe:/a:f5:big-ip_advanced_firewall_manager:13.0.0

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-0304
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2017-0304
(官方数据源) NVD

- 其它链接及资源

http://www.securityfocus.com/bid/102332
(VENDOR_ADVISORY)  BID  102332
http://www.securitytracker.com/id/1040041
(VENDOR_ADVISORY)  SECTRACK  1040041
https://support.f5.com/csp/article/K39428424
(VENDOR_ADVISORY)  CONFIRM  https://support.f5.com/csp/article/K39428424

- 漏洞信息

F5 BIG-IP AFM CVE-2017-0304 SQL Injection Vulnerability
Input Validation Error 102332
Yes No
2017-12-20 12:00:00 2017-12-20 12:00:00
The vendor reported this issue.

- 受影响的程序版本

F5 BIG-IP AFM 13.0
F5 BIG-IP AFM 12.1.2
F5 BIG-IP AFM 12.1.1
F5 BIG-IP AFM 12.0
F5 BIG-IP AFM 12.1.0
,F5 BIG-IP AFM 13.1
F5 BIG-IP AFM 13.0 HF1
F5 BIG-IP AFM 12.1.3

- 不受影响的程序版本

F5 BIG-IP AFM 13.1
F5 BIG-IP AFM 13.0 HF1
F5 BIG-IP AFM 12.1.3

- 漏洞讨论

F5 BIG-IP AFM is prone to an SQL-injection vulnerability because it fails to sufficiently sanitize user-supplied input before using it in an SQL query.

An attacker can exploit this issue to compromise the application, access or modify data, or exploit latent vulnerabilities in the underlying database.

F5 BIG-IP AFM 12.0.0 through 12.1.2 and 13.0.0 are vulnerable.

- 漏洞利用

An attacker can exploit this issue using a web browser.

- 解决方案

Updates are available. Please see the references or vendor advisory for more information.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站